- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
GrossoLocatelliPullanMc< GR >::CliqueNodeIt Class Reference

## Detailed Description

### template<typename GR>
class lemon::GrossoLocatelliPullanMc< GR >::CliqueNodeIt

This iterator class lists the nodes of the found clique. Before using it, you must allocate a GrossoLocatelliPullanMc instance and call its run() method.

The following example prints out the IDs of the nodes in the found clique.

* GrossoLocatelliPullanMc<Graph> mc(g);
* mc.run();
* for (GrossoLocatelliPullanMc<Graph>::CliqueNodeIt n(mc);
* n != INVALID; ++n)
* {
* std::cout << g.id(n) << std::endl;
* }
*

`#include <lemon/grosso_locatelli_pullan_mc.h>`

## Public Member Functions
| CliqueNodeIt (const GrossoLocatelliPullanMc &mc)
| Constructor. More...
| operator Node () const
| Conversion to `Node`.
CliqueNodeIt & | operator++ ()
| Next node.
GR::Node | operator++ (int)
| Postfix incrementation. More...

## Constructor & Destructor Documentation

CliqueNodeIt | ( | const GrossoLocatelliPullanMc & | mc | ) |
| inline

Constructor.

Parameters

  mc | The algorithm instance.

## Member Function Documentation

GR::Node operator++ | ( | int |  | ) |
| inline

Postfix incrementation.

Warning
  This incrementation returns a `Node`, not a `CliqueNodeIt` as one may expect.